FFS(3)

NAME
ffs - find first bit set in a word

SYNOPSIS
#include <strings.h>

int ffs(int i);

#define _GNU_SOURCE
#include <string.h>

int ffsl(long int i);

int ffsll(long long int i);

DESCRIPTION
The ffs() function returns the position of the first (least significant) bit set in the word i. The least significant bit is position 1 and the most significant position e.g. 32 or 64. The functions ffsll() and ffsl() do the same but take arguments of possibly different size.

RETURN VALUE
These functions return the position of the first bit set, or 0 if no bits are set in i.

CONFORMING TO
4.3BSD, POSIX.1-2001.

NOTES
BSD systems have a prototype in <string.h>.

SEE ALSO
feature_test_macros(7)